<?php

namespace Drupal\slimpay_api\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Routing\RouteMatchInterface;
use Drupal\Core\Url;
use Symfony\Component\HttpFoundation\Request;

/**
 * Redirects to completed checkout step.
 */
class SlimpayReturnController extends ControllerBase {

  /**
   * Uses JS to redirect from iframe to commerce completed step.
   */
  public function returnFromSlimpayIframe(
    Request $request,
    RouteMatchInterface $route_match
  ) {
    /** @var \Drupal\commerce_order\Entity\OrderInterface $order */
    $order = $route_match->getParameter('commerce_order');

    $return_url = Url::fromRoute('commerce_payment.checkout.return', [
      'commerce_order' => $order->id(),
      'step' => 'payment',
    ], ['absolute' => TRUE])->toString();

    return [
      '#type' => 'inline_template',
      '#template' => '<div class="ajax-progress ajax-progress-fullscreen">&nbsp;</div>',
      '#attached' => [
        'drupalSettings' => [
          'slimpay_api' => ['returnUrl' => $return_url],
        ],
      ],
    ];

  }

}
